summaryrefslogtreecommitdiff
path: root/modules/blobs/get.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules/blobs/get.sh')
-rw-r--r--modules/blobs/get.sh22
1 files changed, 13 insertions, 9 deletions
diff --git a/modules/blobs/get.sh b/modules/blobs/get.sh
index b4cc6ff..26fb273 100644
--- a/modules/blobs/get.sh
+++ b/modules/blobs/get.sh
@@ -1,7 +1,8 @@
#!/usr/bin/env bash
-# rvs blobs/get - get a file from the repository
-# Copyright (C) 2009-2010, 2015-2016 Luke Shumaker
-#
+name=blobs/get
+desc='Get a file from the repository'
+copyright='2009-2010, 2015-2016 Luke Shumaker'
+license=('AGPLv3+')
# This file is part of rvs.
#
# This program is free software: you can redistribute it and/or modify
@@ -17,12 +18,15 @@
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. "${0%/*}/_stdio.sh"
+usage="ID FILENAME"
+. "${0%/*}/_shlib.sh"
-usage="FILENAME ID"
-[[ $# -eq 2 ]] || errusage
-name=$1
-id=$2
+main() {
+ [[ $# -eq 2 ]] || errusage
+ id=$1
+ name=$2
-"$RVS" "get.${id%%:*}" "$name" "$id"
+ "$RVS" "get.${id%%:*}" "$name" "$id"
+}
+main "$@"